# Created by pyp2rpm-3.3.8
%global pypi_name overrides

Name:           python-%{pypi_name}
Version:        7.7.0
Release:        %mkrel 2
Summary:        A decorator to automatically detect mismatch when overriding a method
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/mkorpela/overrides
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A decorator @override that verifies that a method that should override an
inherited method actually does it.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 decorator @override that verifies that a method that should override an
inherited method actually does it.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sat Mar 01 2025 wally <wally> 7.7.0-2.mga10
+ Revision: 2155367
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 7.7.0-1.mga10
+ Revision: 2077700
- new version 7.7.0

* Thu Dec 28 2023 papoteur <papoteur> 7.4.0-3.mga10
+ Revision: 2023384
- rebuild again for python 3.12

* Wed Dec 13 2023 papoteur <papoteur> 7.4.0-2.mga10
+ Revision: 2017738
- rebuild for python 3.12

* Wed Dec 06 2023 wally <wally> 7.4.0-1.mga10
+ Revision: 2013553
- imported package python-overrides

